/*code may be messy, sorry!! -TD*/
/* Lines 1-450 written by TD*/
*{
    
    list-style-type: none;
    margin: 0;
    padding: 0;

}

.main{
    max-width: 100%;
    
    overflow-x: hidden; /*allows the mobile format to look right*/
    
    width: 100%;
    /*    background: linear-gradient(to bottom, white, #7393B3);
*/
    /*background: linear-gradient(to bottom, white, rgb(49, 94, 49));*/

    /*heres the old right color background: linear-gradient(to bottom, white, #4a4279);*/
    background: linear-gradient(to bottom, white, rgb(52, 52, 156));
    position: relative;
    background-position: center;
    background-size: cover;
    height: fit-content;
    overflow: hidden;
}


.navbar{
    /*background: linear-gradient(to top, white, #7393B3);*/
    width: 100%;
    height: auto;
    background-color: white;

}

.header {
    list-style-type: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px; 
}



/*might not need this-TD*/

.login a {
    
    list-style-type: none;
    list-style: none;
    text-decoration: none;
    color: green;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    transition: .5s ease-in-out;
    font-size: 18px;
}

.menu{
    display:flex;
    justify-content: space-around;
    text-align: center;
    align-items: center;
    list-style: none;
    margin: 0;/* -40 margin makes it go up. might be useful*/
    

   /* padding-left: 30px;
    padding-right: 30px;*/
}

/* This deals with the navigation and menu bars-TD*/
ul{
list-style-type: none;
list-style: none;
float:left;
display: flex;
justify-content: center;
align-items: center;
}

.menu ul li {
    list-style: none;
    margin-left: 25px;
    margin-right: 25px;/* This spaces out the tabs-TD*/
    font-size: 20px;
    position: relative;
}


.menu ul li a:hover {
    color: rgb(214, 193, 0);
}


/*cosmetics Home, About, Ministries, ETC...-TD*/
ul li a{
    text-decoration: none;
    color: green;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    transition: .5s ease-in-out;
}


/*transition hovering color-TD*/
ul li a:hover{
    color: rgb(214, 193, 0);
}

/*when hovering this will show the submenus-TD*/
ul .submenu {
    
    text-align: left;
    margin: 0;
    z-index: 2;/*wow now it finally doesnt go under the banner, big headache figuring this out*/
    display: none;
    position: absolute;
    top: 90%; 
    left: 0;
    background-color: #f9f9f9;
    border: 1px solid #ddd;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    padding: 5px;
    width: 300%; 
    /*gives it some space between submenu lines, so annoying initially-TD*/
    line-height: 26px;
}



.sub-menu li {
    padding: 15px 20px;
}



ul li:hover .submenu {
    display:block; 
}

h1 {
    color: royalblue ;
    font-size: 24px; 
}
h2 {
    color: royalblue;
    font-size: 24px; 
    margin-bottom: 10px;
}


.content {
    
    background: linear-gradient(to bottom, white, rgb(243, 219, 83));
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: Arial, Helvetica, sans-serif;

    color: royalblue;
    text-shadow: 0 0 3px #ffffff, 0 0 5px #ffffff;
    padding: 40px;
}

.container {
    display: flex;
    justify-content: space-around;
    align-items: flex-start;
    padding: 20px;
    background-color: rgb(52, 52, 156);
   
  }

  
/*putting this here so header isnt beside the paragraph content -TD*/
.header-content {
    text-align: center;
    margin-bottom: 20px;
    list-style-type: none;
    
}
.paragraph-content {
    text-align: center;
    font-family: Arial, Helvetica, sans-serif;
    
    color: rgb(1, 19, 37);
}

.SloganBanner {
    z-index: 1; /*wow now it finally doesnt go over the submenu*/
background-position-x: -10;
    width: 100%;
    position: relative;

    top: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: auto;
    min-height: 45vh;
    background-image: url(../Pictures/HomepageBannerImage.jpg);
    background-position: center;
    font-size: 24px;
    font-family: "Arial", sans-serif;
    color: #fff;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 20px;
    opacity: 0.9;
    flex-direction: column;
 }

.SloganBanner p {
    color: #777;
    align-items: center;
    font-size: 22px;
    font-family: "Arial", sans-serif;
    padding-right 20px;
}
  
  

.ContactChurch{
    
    background: linear-gradient(#342e63, #48508f);
    width: 100%;
    font-size: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: auto;
   
    font-family: "Arial", sans-serif;
    color: #fff;
    flex-direction: column;

}

.ContactChurch::after {
    content: "";
    display: table;
    clear: both;
}

.ContactChurch p{

    padding: 0px;
    font-size: 19px; 

}
.ContactChurch h2{
    font-size: 30px;
}

/*Below is for the bible verse in gold -TD*/

.ContactChurch h3 {
    padding-top:60px;
    font-size: 23px; 
    color: rgb(253, 238, 151);
    
text-align: center;    
}

.ContactChurch p3 {
  
    text-align: center;    
    padding: 2px;
    padding-left: 80px;
    padding-right: 80px;
    font-size: 19px; 
    color: rgb(253, 238, 151);
}




/*Copyright Information -TD*/
.ContactChurch p4 {
  width: 100%;
    position: relative;

    background-color: #333; 
    color: #fff;
    text-align: center; 
    font-size: 14px; 
}

.BottomContact{

    display: grid;
    grid-template-columns: 1fr 1fr; 
    gap: 20px;
    text-align: center;

}
.BottomInfo span{
    color: #fff;
    text-align: center; 
    font-size: 22px; 
}
.Bottominfo {
    
    display: grid;
    grid-template-columns: 1fr 1fr; 
    color: #fff;
    padding: 20px;
    text-align: center;
    position: absolute;
    color: #fff;
    text-align: center; 
    font-size: 14px; 
}

.Email {
    
    padding: 40px;
    color: #fff;
    text-align: center; 
    font-size: 24px; 
    display: flex;
    align-items: center;
    justify-content: center;
}

.PhoneNumber {
    font-size: 22px; 
    padding: 40px;
    margin: 0 10px;
}


/* Vision & Mission */

.box {
    width: 45%;
    background-color: rgba(255, 255, 255, 0.8); 
    border: 2px solid rgba(0, 0, 0, 0.1); 
    padding: 20px;
    box-sizing: border-box;
    text-align: center;
    font-size: 25px;
    height: 300px;
  }
  
  .vision {
    color: green; 
    font-size: 20px;
  }
  
  .mission {
    color: green; 
    font-size: 20px;

  }
  .verse {
    margin-top: 20px;
    color: green;
    margin-bottom: 10px;
    
  }
  
  .info-text {
    text-align: center; 
    padding: 20px;
    background-color: rgb(52, 52, 156); 
  }

  .boxvision h2 {
    font-size: 30px; 
    font-weight: bold; 
    color: green;
  }

  .boxmission h2 {
    font-size: 30px; 
    font-weight: bold; 
    color: green;
  }

  .verse p strong {
    font-size: 24px; 
    font-weight: bold; 
    color: royalblue;
    margin-bottom: 20px;
    font-style: italic;
  }
  .content h1 {
    font-size: 40px;
  }

  .boxvision p {
    font-size: 20px;
    color: green;
  }
  
  .boxmission p {
    font-size: 20px;
    color: green;
  }

  p {
    color: green;
    align-items: center;
    font-size: 22px;
  }

  .info-text p {
    color: white;
    align-items: center;
    font-size: 24px;
  }